def ecc(L): # L = [ (x1,ecc1) , (x2, ecc2) , ... ]
    E = []
    for i in range( len( L ) ):
        if i == 0:
            E.append( L[i] )
        else:
            E.append( ( L[i][0] , E[i-1][1] + L[i][1] ) )

    return E
